*{
    margin:0;
    padding:0;
    box-sizing: border-box;
}
html{
    --res:calc(0.01*10vmin);
}
section{
    padding:10px;
    height:100vh;
    width:100%;
    display:flex;
    flex-direction: column;
    justify-content:flex-start;
    gap:20px;
    align-items: center;
    background-color: #ffffff;
}
.conteneur-image{
    display:flex;
    justify-content: center;
    width:100%;
    border-bottom: 1px solid #2764E7;
    padding:5px;
}
.conteneur-image img{
    width:100px;
}
.fenetre{
    background: #f8f8f8;
    padding:20px;
}

hr{
    margin:calc(30 * var(--res)) 0;
}
.alert-message{
    width:100%;
    background-color: #ff080825;
    color:#000000;
    font-size:calc(45 * var(--res));
    padding:05px;
    margin:5px 0px;
    border-radius: 5px;
}
.conteneur-text{
    margin:calc(30 * var(--res)) 0;
}
.conteneur-texte h2{
    margin-bottom:calc(20 * var(--res));
}
.conteneur-texte p{
    font-size:calc(50 * var(--res));
    text-align: justify;
    color:#4d4747;
}
.txt-recuperation{
    margin-top:calc(25 * var(--res));
    font-size:calc(50 * var(--res));
    text-align: justify;
    color:#4d4747;
}

form{
    margin-top:calc(40 * var(--res));
}
form label{
    display:block;
    font-size:calc(50 * var(--res));
    margin-bottom: calc(20 * var(--res));
}
form input{
    display:block;
    width:100%;
    font-size:calc(50 * var(--res));
    padding:calc(20 * var(--res));
    outline: none;
    border-radius:08px;
    margin-bottom: calc(40 * var(--res));
    border:1px solid #000;
}
form button{
    float: right;
    padding:calc(15 * var(--res)) calc(40 * var(--res));
    font-size:calc(50 * var(--res));
    font-weight: bold;
    border-radius: 5px;
    background-color:#2764E7;
    color:#fff;
    border:none;
}
.btn-retour{
    margin-top: calc(120 * var(--res));
    margin-bottom: calc(20 * var(--res));
}
.btn-retour a{
    text-decoration: none;
    color:#000;
    font-size:calc(40 * var(--res));
    font-weight: bold;
}

/*Deuxieme section --- Partie reservée pour confirmer l'email:*/

.email-confirm-recup{
    background-color: #f8f8f8;
    display: none;
    justify-content: center;
    align-items: center;
    position:absolute;
    top:0;
    z-index:1;

}
.conteneur-message-recup{
    border: 4px solid #2764E7;
    border-radius:5px;
    padding:10px 4px;
    display:flex;
    flex-direction: column;
    gap:8px;
    background-color: #ffffff;
}
.conteneur-message-recup h2{
    text-align: center;
}
.logo-recup{
    border-bottom: 1px solid #000000;
}
.logo-recup img{
    width:calc(300*var(--res));
}
.rtr{
    margin-top:8px;
    padding:5px;
    text-align: center;
}
.rtr a{
    text-decoration: none;
    color: #ffffff;
    background-color: #2764E7;
    font-size:calc(50 * var(--res));
    padding:3px 10px;
    border-radius:5px;
}